%define name gnudip
%define version 2.1.2
%define release 3mdk

Summary:	GnuDIP
Name:		%name
Version:	%version
Release:	%release
License: 	GPL
Group:		System/Servers
Source0: 	%name-%version.tar.bz2
Source1: 	gdips.init
Source2: 	gdips-configure
Source3: 	gdips-cleanup
Source4: 	gdips-upgrade
Patch0: 	%{name}-%{version}-gdips.patch.bz2
Patch1: 	%{name}-%{version}-gdipc.patch.bz2
Patch2: 	%{name}-%{version}-db.patch.bz2
Patch3: 	%{name}-%{version}-cgi.patch.bz2
BuildRoot: 	%_tmppath/%{name}-buildroot
BuildArchitectures: noarch
URL: http://gnudip.cheapnet.net/

%description
Summary: GnuDIP server and client

%package client
Summary: GnuDIP client
Group: Networking/Other
Requires: perl perl-MD5

%description client
GnuDIP is a service designed for an ISP to give its customers a static DNS
name without having to give them their own IP address.  This is the command
line client for GnuDIP.

%package server
Summary: GnuDIP server
Group: System/Servers
Requires: perl perl-MD5 MySQL-client bind
Prereq: /sbin/chkconfig

%description server
GnuDIP is a service desiged for an ISP to give its customers a static DNS
name without having to give them their own IP address. For those who are
familiar with ml.org this is a simple replacement. GnuDIP has 2 main parts
on the server side. 1, the multi-threaded server that listens on a port 3495
that accepts connections from client applications and updates their
hostname, and 2 the web cgi that is used as the administration tool and as
the users tool to manage their own account. Using the web cgi a user can set
their desired homepage in their settings and then set the special URL as the
default page for their browser so now every time they open their browser
their hostname will be automatically be updated without having to run any
other sort of client application and then they would be redirected to the
URL they set in their GnuDIP settings. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .gdips
%patch1 -p1 -b .gdipc
%patch2 -p1 -b .db
%patch3 -p1 -b .cgi

%build

%install
mkdir -p ${RPM_BUILD_ROOT}{%_sysconfdir,%_sbindir,%_bindir,%_libdir/%name,/var/www/cgi-bin}
mkdir -p ${RPM_BUILD_ROOT}%_sysconfdir/rc.d/init.d
install -m 644 gnudip.conf ${RPM_BUILD_ROOT}%_sysconfdir/
install -m 755 gdips.pl ${RPM_BUILD_ROOT}%_sbindir/
install -m 755 gdipc.pl ${RPM_BUILD_ROOT}%_bindir/
install -m 644 gnudip-lib.pl ${RPM_BUILD_ROOT}%_libdir/%name/
#install -D -m 750 -o www-data -g www-data gnudip2.cgi ${RPM_BUILD_ROOT}/usr/lib/cgi-bin/
install -m 755 gnudip2.cgi ${RPM_BUILD_ROOT}/var/www/cgi-bin/
install -m 755 ${RPM_SOURCE_DIR}/gdips-configure ${RPM_BUILD_ROOT}%_bindir
install -m 755 ${RPM_SOURCE_DIR}/gdips-cleanup ${RPM_BUILD_ROOT}%_bindir
install -m 755 ${RPM_SOURCE_DIR}/gdips-upgrade ${RPM_BUILD_ROOT}%_bindir
install -m 755 ${RPM_SOURCE_DIR}/gdips.init ${RPM_BUILD_ROOT}%_sysconfdir/rc.d/init.d/gdips

%post client
echo ""
echo Now run /usr/bin/gdipc.pl -c to set up your configuration file.  You can
echo use -f name -c to specify a different filename to read and write the
echo configuration to.
echo ""

%post server
chkconfig --add gdips
echo ""
echo Now run /usr/bin/gdips-configure to configure your gnudip server.
echo ""

%preun server
if [ $1 = 0 ]; then
  chkconfig --del gdips
fi

%files client
%defattr (-,root,root)
%_bindir/gdipc.pl
%doc README UPDATE ChangeLog COPYING

%files server
%defattr (-,root,root)
%config(noreplace) %_sysconfdir/gnudip.conf
%config(noreplace) %_sysconfdir/rc.d/init.d/gdips
%_sbindir/gdips.pl
%dir %_libdir/gnudip
%_libdir/gnudip/gnudip-lib.pl
/var/www/cgi-bin/gnudip2.cgi
%_bindir/gdips-configure
%_bindir/gdips-cleanup
%_bindir/gdips-upgrade
%doc README UPDATE README.mysql gnudip2.db ChangeLog dyn.example.com.zone COPYING

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 22 2001 Yves Duret <yduret@mandrakesoft.com> 2.1.2-3mdk
- rebuild for sir rpmlint
- fix build

* Wed May 16 2001 Yves Duret <yduret@mandrakesoft.com> 2.1.2-2mdk
- rebuild because daminou really swallows
- require bind instead of /usr/sbin/ndc (wich is now rndc in bind9)

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1.2-1mdk
- new in contribs

* Mon May 30 2000 Jason Spangler <jasons@usemail.com>
- Initial creation, used some stuff from Debian package 
